# Blob Wars : Attrition

Blob Wars : Attrition is a 2D mission and objective-based platform game. It is the third game in the Blob Wars series.

The develop branch on GitHub (https://github.com/stephenjsweeney/blobwarsAttrition/tree/develop) is where all the dev work happens. Stable(ish) releases will go in to master (https://github.com/stephenjsweeney/blobwarsAttrition/tree/master).

The source code of this game (everything under the src directory) is licensed under the GPL. www.gnu.org/licenses/gpl-3.0.en.html

### IMPORTANT

This repo does not contain any data files (maps, sprite definitions, etc). In order to play the game, you will need to purchase the data. You can do so here:

http://www.parallelrealities.co.uk/games/attrition/#purchase

Demo data files are also available. See further below for more details.

### DATA INSTALLATION

The data folder should be placed alongside the gfx, sound, and music folders, so that the game can access it. By default, the "make install" step will place the data files into /opt/blobwarsAttrition. This is where you should copy the data folder, in order for the game to work. Or, after building, you can run the game in place.

### DEMO DATA

Demo data files are also available and can be installed in the same way. The demo data is limited to three maps and does not define all of the game's content. Note that if you test the game with this demo data and then upgrade to the full experience, you should remove both the demo data folder and also the save games that it creates. Otherwise, due to the persistent nature of the game, you may encounter game breaking bugs.

You can download the demo data here, as either a zip or a gzip:

http://www.parallelrealities.co.uk/downloads/blobWarsAttrition/blobWarsAttrition-demo-data.zip

http://www.parallelrealities.co.uk/downloads/blobWarsAttrition/blobWarsAttrition-demo-data.tar.gz

If you upgrade from the demo data files to the commercial ones, you should start the game from scratch, to prevent issues with the persistent world.

## SCREENSHOTS

Screenshots from various versions can be found here: https://github.com/stephenjsweeney/blobwarsAttrition/tree/master/dev/screenshots

## CREDITS

### GRAPHICS

* gfx/trophies/bronze.png - dervied from Trophy icon, by Lorc (CC BY 3.0): http://game-icons.net/lorc/originals/trophy.html
* gfx/trophies/gold.png - dervied from Trophy icon, by Lorc (CC BY 3.0): http://game-icons.net/lorc/originals/trophy.html
* gfx/trophies/platinum.png - dervied from Trophy icon, by Lorc (CC BY 3.0): http://game-icons.net/lorc/originals/trophy.html
* gfx/trophies/silver.png - dervied from Trophy icon, by Lorc (CC BY 3.0): http://game-icons.net/lorc/originals/trophy.html
* gfx/trophies/unearned.png - dervied from Trophy icon, by Lorc (CC BY 3.0): http://game-icons.net/lorc/originals/trophy.html

* gfx/hud/health.png - Hearts icon, by Skoll (CC BY 3.0): http://game-icons.net/skoll/originals/hearts.html
* gfx/hud/oxygen.png - Lungs icon, by Delapouite (CC BY 3.0): http://game-icons.net/delapouite/originals/lungs.html
* gfx/hud/power.png - Battery pack icon, by sbed (CC BY 3.0): http://game-icons.net/sbed/originals/battery-pack.html

All other graphics are CC BY-NC-SA 3.0, with the following attribution: Copyright 2014-2018, Parallel Realities

### SOUND

* 10 Gauge Shotgun
Copyright Soundbible.com
www.soundbible.com

* Hydraulic...Thing (12906)
Copyright 2005, Swelk
Licensed under Creative Commons
www.freesound.org

* Cardlock Open (39028)
Copyright 2007, Wildweasel
Licensed under Creative Commons
www.freesound.org

* Back Menu (50557)
Copyright 2008, Broumbroum
Licensed under Creative Commons
www.freesound.org

* Select Menu (50561)
Copyright 2008, Broumbroum
Licensed under Creative Commons
www.freesound.org

* Medium Slash 8 (50790)
Copyright 2008, Smcameron
Licensed under Creative Commons
www.freesound.org

* Missile Launch 2 (51468)
Copyright 2008, Smcameron
Licensed under Creative Commons
www.freesound.org

* Water Gulp (56271)
Copyright 2008, Q.K.
Licensed under Creative Commons
www.freesound.org

* Swosh 22 (60009)
Copyright 2008, Qubodup
Licensed under Creative Commons
www.freesound.org

* Submachinegun2 (67020)
Copyright 2009, Ls
Licensed under Creative Commons
www.freesound.org

* Blood Hitting Window (81042)
Copyright 2009, Rock Savage
Licensed under Creative Commons
www.freesound.org

* Item Respawn (83301)
Copyright 2009, Silencer1337
Licensed under Creative Commons
www.freesound.org

* Gbc Reload 06 (88275)
Copyright 2010, S_dij
Licensed under Creative Commons
www.freesound.org

* 60.wav (93017)
Copyright 2010, Cosmicd
Licensed under Creative Commons
www.freesound.org

* Punch.wav (104183)
Copyright 2010, Ekokubza123
Licensed under Creative Commons
www.freesound.org

* Water_splash.wav (110393)
Copyright 2010, Soundscalpel.com
Licensed under Creative Commons
www.freesound.org

* Gewonnen.mp3 (113989)
Copyright 2011, Kastenfrosch
Licensed under Creative Commons
www.freesound.org

* Transporter Beam.Flac (116505)
Copyright 2011, Owdeo
Licensed under Creative Commons
www.freesound.org

* Tink3d.wav (126531)
Copyright 2011, Sinkhole7
Licensed under Creative Commons
www.freesound.org

* Error.wav (142608)
Copyright 2012, Autistic Lucario
Licensed under Creative Commons
www.freesound.org

* Ricochet.mp3 (148840)
Copyright 2012, Cedarstudios
Licensed under Creative Commons
www.freesound.org

* Gulp (2) (151233)
Copyright 2012, Owlstorm
Licensed under Creative Commons
www.freesound.org

* Door-Handle-Jiggle-04.wav (151578)
Copyright 2012, D W
Licensed under Creative Commons
www.freesound.org

* 8bit Robot Sound (153445)
Copyright 2012, Lukechalaudio
Licensed under Creative Commons
www.freesound.org

* 8bit Robot Sound 2 (153446)
Copyright 2012, Lukechalaudio
Licensed under Creative Commons
www.freesound.org

* Gotitem.mp3 (162467)
Copyright 2012, Kastenfrosch
Licensed under Creative Commons
www.freesound.org

* Metal Clang.aif (170959)
Copyright 2012, Timgormly
Licensed under Creative Commons
www.freesound.org

* S_teleport_05.wav (178350)
Copyright 2013, Andromadax24
Licensed under Creative Commons
www.freesound.org

* Sad Cry 5 (180310)
Copyright 2013, Jorickhoofd
Licensed under Creative Commons
www.freesound.org

* 120110_15 Hot Plate (181490)
Copyright 2013, Toiletrolltube
Licensed under Creative Commons
www.freesound.org

* Scream 01 (219858)
Copyright 2014, Adriancalzon
Licensed under Creative Commons
www.freesound.org

* Screaming_male_painii.mp3 (220289)
Copyright 2014, Gabrielaupf
Licensed under Creative Commons
www.freesound.org

* Bomb
Copyright 2014, Partners In Rhyme Inc
www.freesoundeffects.com

* Gun 44 Magnum
Copyright 2014, Partners In Rhyme Inc
www.freesoundeffects.com

* Laser Cannon
Copyright Mike Koenig
Licensed under Creative Commons
soundbible.com

* Mortice_key_drop_on_concrete_floor
Copyright www.freesfx.co.uk
www.freesfx.co.uk

* Ray Gun
Copyright Mike Koenig
Licensed under Creative Commons
soundbible.com

* Shotgun
Copyright Soundbible.com
Licensed under Creative Commons
soundbible.com

* Pop.wav (83237)
Copyright 2009, mlestn1
Licensed under Creative Commons
www.freesound.org

* welder1.ogg (46501)
Copyright 2008, PhreaKsAccount
Licensed under Creative Commons
www.freesound.org

* Ratchet.wav (319996)
Copyright 2015, KenRT
Licensed under Creative Commons
www.freesound.org

* TF_Power-Tools.flac
Copyright 2014, copyc4t
Licensed under Creative Commons
www.freesound.org

### MUSIC

* Watching
Copyright Dj Sjors
Licensed under Creative Commons

* News Background
Copyright Mansardian
freesound.org/people/mansardian/sounds/61321
Licensed under Creative Commons

* The Assasins
Copyright Audionautix.com
Licensed under Creative Commons

* Delusion32
Copyright Audionautix.com
Licensed under Creative Commons

* Down The Way
Copyright Audionautix.com
Licensed under Creative Commons

* Boom
Copyright Audionautix.com
Licensed under Creative Commons

* Ectoplasm
Copyright Audionautix.com
Licensed under Creative Commons

* So Dramatic
Copyright Audionautix.com
Licensed under Creative Commons

* Eternal Whispers
Copyright Snabisch
Licensed under Creative Commons

### FONTS

data/fonts/Roboto-Medium.ttf, by Christian Robertson. Licensed under the Apache License, version 2.0

## ABOUT

Blob Wars is copyright Parallel Realities, 2002-2018, All Rights Reserved.
